Subject: Re: bug#71499: [PATCH] Make whitespace.el cleanup add missing final newline

From: Robert Pluim <[email-masked]>
Date: Thu, 20 Jun 2024 10:22:24 +0200

>>>>> On Thu, 20 Jun 2024 07:55:19 +0000, Stefan Kangas <[email-masked]> said:

    Stefan> Eli Zaretskii <[email-masked]> writes:
    >>> From: Robert Pluim <[email-masked]>
    >>> Cc: Andrea Corallo <[email-masked]>,  [email-masked],
    >>> [email-masked],  [email-masked]
    >>> Date: Fri, 14 Jun 2024 14:23:17 +0200
    >>> 
    >>> >>>>> On Thu, 13 Jun 2024 11:30:51 +0300, Eli Zaretskii <[email-masked]> said:
    >>> >> I'm as well for having the patch in, but I guess would be safer in 31 so
    >>> >> we have plenty of time to react if needed.
    >>> 
    Eli> OK, thanks.  I will then install after the branch is cut.
    Eli> Meanwhile, Björn, I have a few comments to the patch:
    Eli> . it needs a NEWS entry announcing the new feature
    Eli> . is there any reason your code to handle the missing newline is not
    Eli> identical to what the implementation of require-final-newline
    Eli> does?
    >>> 
    >>> Iʼm going to chime in and say that, even though I highlight missing
    >>> newlines at eob, I donʼt normally set `require-final-newline' to t,
    >>> because of various reasons involving collaboration with others. So Iʼd
    >>> have to turn this off once it goes in.

    Stefan> Could you explain why you'd need to turn it off?

    Stefan> Do you usually use `whitespace-cleanup` on files where you collaborate
    Stefan> with others, but then you specifically don't want to ever touch newlines
    Stefan> at eob?

Yes. I guess I could turn off whitespace-cleanup for those files, and
complain at those people more loudly :-) . I donʼt have a strong
objection to this feature, so we donʼt have to add
yet-another-config-variable just for me.

Robert
--